Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class ProviderContext

    java.lang.Object
      |
      +--oracle.portal.provider.v2.ProviderContext

Direct Known Subclasses:
  ServletProviderContext

public abstract class ProviderContext
extends java.lang.Object

Field Summary
`static java.lang.String` | `AUTO_RELOAD`
`static java.lang.String` | `DEBUG_LEVEL`
`static java.lang.String` | `PROVIDER_DEFINITION`
`static java.lang.String` | `PROVIDER_LOADER_CLASS`
`static java.lang.String` | `PROVIDER_SERVICE_CLASS`
`static java.lang.String` | `REPOSITORY_PATH`
`static java.lang.String` | `SERVICE_NAME`
`static java.lang.String` | `SHOW_TEST_PAGE`
`static java.lang.String` | `TEST_PAGE_URI`

Constructor Summary
`ProviderContext(java.lang.String repositoryPath, int debugLevel, boolean test)` Creates instance of ProviderContext.
`ProviderContext(java.lang.String repositoryPath, int debugLevel, boolean test, java.lang.String testPageURI)` Creates instance of ProviderContext.
`ProviderContext(java.lang.String repositoryPath, int debugLevel, boolean test, java.lang.String testPageURI, java.util.Map attributes)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Returns the attribute that corresponds with the supplied name.
`java.util.Set` | `getAttributeNames()` Returns all of the names of the attributes sored in this `ProviderContext`.
`int` | `getDebugLevel()`
`java.lang.String` | `getRepositoryPath()`
`java.lang.String` | `getServiceName()` Returns the service name for the current provider.
`java.lang.String` | `getTestPageURI()` To Get the Test Page name in case Provider is not defaulting to Default Test Page.
`abstract boolean` | `isInvalidationCachingEnabled()`
`boolean` | `isTestPageOn()`
`boolean` | `lockDown()`
`void` | `setAttribute(java.lang.String key, java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROVIDER_SERVICE_CLASS

    public static final java.lang.String PROVIDER_SERVICE_CLASS

See Also:
  Constant Field Values

### PROVIDER_LOADER_CLASS

    public static final java.lang.String PROVIDER_LOADER_CLASS

See Also:
  Constant Field Values

### SHOW_TEST_PAGE

    public static final java.lang.String SHOW_TEST_PAGE

See Also:
  Constant Field Values

### PROVIDER_DEFINITION

    public static final java.lang.String PROVIDER_DEFINITION

See Also:
  Constant Field Values

### AUTO_RELOAD

    public static final java.lang.String AUTO_RELOAD

See Also:
  Constant Field Values

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

See Also:
  Constant Field Values

### DEBUG_LEVEL

    public static final java.lang.String DEBUG_LEVEL

See Also:
  Constant Field Values

### REPOSITORY_PATH

    public static final java.lang.String REPOSITORY_PATH

See Also:
  Constant Field Values

### TEST_PAGE_URI

    public static final java.lang.String TEST_PAGE_URI

See Also:
  Constant Field Values

Constructor Detail

### ProviderContext

    public ProviderContext(java.lang.String repositoryPath,
                           int debugLevel,
                           boolean test)

  Creates instance of ProviderContext.

Parameters:
  `repositoryPath` -
  `debugLevel` -
  `test` - Whether TestPage for the provider enabled

### ProviderContext

    public ProviderContext(java.lang.String repositoryPath,
                           int debugLevel,
                           boolean test,
                           java.lang.String testPageURI)

  Creates instance of ProviderContext.

Parameters:
  `repositoryPath` -
  `debugLevel` -
  `test` - Whether TestPage for the provider enabled
  `testPageURI` - URI to provider's test page if provider is not defaulting to default test page.

### ProviderContext

    public ProviderContext(java.lang.String repositoryPath,
                           int debugLevel,
                           boolean test,
                           java.lang.String testPageURI,
                           java.util.Map attributes)

Method Detail

### setAttribute

    public void setAttribute(java.lang.String key,
                             java.lang.Object value)
                      throws java.lang.IllegalStateException

    `java.lang.IllegalStateException`

### getRepositoryPath

    public java.lang.String getRepositoryPath()

### getDebugLevel

    public int getDebugLevel()

### isTestPageOn

    public boolean isTestPageOn()

### getTestPageURI

    public java.lang.String getTestPageURI()

  To Get the Test Page name in case Provider is not defaulting to Default Test Page.

  Returns:
    Test Page Name

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Returns the attribute that corresponds with the supplied name.

  Parameters:
    `name` - The name of the attribute you would like to retrieve.
  Returns:
    A String representing the attribute that corresponds with the supplied name.

### getAttributeNames

    public java.util.Set getAttributeNames()

  Returns all of the names of the attributes sored in this `ProviderContext`.

  Returns:
    A `Set` containing the names of the attributes found in this `ProviderContext`.

### getServiceName

    public java.lang.String getServiceName()

  Returns the service name for the current provider.

  Returns:
    A String representing the current provider's service name.

### lockDown

    public boolean lockDown()

### isInvalidationCachingEnabled

    public abstract boolean isInvalidationCachingEnabled()

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.